package ec.gp.syntactic.simplification;

import ec.EvolutionState;
import ec.gp.GPNode;
import ec.util.Parameter;

/**
 * Dummy simplifier that does not modify given tree.
 */
public class DummySimplifier implements ISimplifier {
    @Override
    public void simplify(GPNode tree) {

    }

    @Override
    public void reset() {

    }

    @Override
    public void setup(EvolutionState state, Parameter base) {

    }
}
